Subject: Re: [PATCH v3] repo: add paths.toplevel to repo info

From: Junio C Hamano <[email-masked]>
Date: Thu, 09 Apr 2026 07:48:25 -0700

Karthik Nayak <[email-masked]> writes:

> Don't we still have to decide how we want to support relative vs
> absolute paths? [1]

I suspect more than just a few requests to this command yield
path-valued response, so do we want an independent boolean "if we
are showing a path, show it in relative (yes) or absolute (no)"
option, or something?

> Also seeing that you're a GSoC candidate and this is part of the project
> that you've (and other potential contributors) applied for, our
> recommendation is to not start working on a project before the selection
> process.

Perhaps I should refrain from commenting on these patches to
discourage the authors if that is the case.  I am not raising an
objection, but do you have a pointer to the rationale behind the
recommendation?